Subject: Re: bug#24892: {s, }brk removed from FreeBSD 11.x and later, arm64 architecture

From: Ed Maste <[email-masked]>
Date: Fri, 18 Nov 2016 15:20:26 -0500

On 18 November 2016 at 11:21, Paul Eggert <[email-masked]> wrote:
>
> In the meantime we respectfully request that sbrk functionality be kept in
> FreeBSD 11.x arm64 for a while. It is fine to mark it as deprecated or
> obsolete, or even rename it, but please do not remove the functionality
> entirely.

Hi Paul,

I want to clarify one point: arm64 support was first available in a
release in FreeBSD 11.0, without sbrk, and sbrk never existed on the
stable/11 branch.

It's important for us that emacs works on FreeBSD (including
FreeBSD/arm64) and there are folks willing to help make that happen. I
had a quick look at emacs' source, and it seems there's an
implementation that allocates memory out of a large array in .bss used
for some platforms - could we make use of that here?